## OMA Cancel Session OMA Cancel Session |

## Functions

QmiMessageOmaCancelSessionOutput * | qmi_message_oma_cancel_session_output_ref ()
void | qmi_message_oma_cancel_session_output_unref ()
gboolean | qmi_message_oma_cancel_session_output_get_result ()
void | qmi_client_oma_cancel_session ()
QmiMessageOmaCancelSessionOutput * | qmi_client_oma_cancel_session_finish ()

## Types and Values

| QmiMessageOmaCancelSessionOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageOmaCancelSessionOutput

## Description

## Functions

### qmi_message_oma_cancel_session_output_ref ()

    QmiMessageOmaCancelSessionOutput *
    qmi_message_oma_cancel_session_output_ref
                                   (QmiMessageOmaCancelSessionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaCancelSessionOutput. |

#### Returns

the new reference to `self` .

### qmi_message_oma_cancel_session_output_unref ()

    void
    qmi_message_oma_cancel_session_output_unref
                                   (QmiMessageOmaCancelSessionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaCancelSessionOutput. |

### qmi_message_oma_cancel_session_output_get_result ()

    gboolean
    qmi_message_oma_cancel_session_output_get_result
                                   (QmiMessageOmaCancelSessionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageOmaCancelSessionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_client_oma_cancel_session ()

    void
    qmi_client_oma_cancel_session (QmiClientOma *self,
                                   gpointer unused,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Cancel Session request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_oma_cancel_session_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientOma. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_oma_cancel_session_finish ()

    QmiMessageOmaCancelSessionOutput *
    qmi_client_oma_cancel_session_finish (QmiClientOma *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_oma_cancel_session()`.

#### Parameters

self | a QmiClientOma. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_oma_cancel_session()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageOmaCancelSessionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_oma_cancel_session_output_unref()`.

## Types and Values

### QmiMessageOmaCancelSessionOutput

    typedef struct _QmiMessageOmaCancelSessionOutput QmiMessageOmaCancelSessionOutput;

The QmiMessageOmaCancelSessionOutput structure contains private data and should only be accessed using the provided API.